import { jsx } from "react/jsx-runtime";
import { TokenREEF as TokenREEF$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenREEF = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "REEF", "data-name": "TokenREEF", ...props, children: /* @__PURE__ */ jsx(TokenREEF$1, { variant }) });
  }
);
TokenREEF.displayName = "TokenREEF";
Object.assign(TokenREEF, { isGdsIcon: true });
export {
  TokenREEF
};
